<?php
/**
* Tag Groups
*
* @package     Tag Groups
* @author      Christoph Amthor
* @copyright   2018 Christoph Amthor (@ Chatty Mango, chattymango.com)
* @license     GPL-3.0+
*
*/

if ( ! class_exists( 'TagGroups_Terms' ) ) {

  class TagGroups_Terms {

    /**
    * Get all term IDs that match a group
    *
    * @since 1.23.0
    * @param integer $group_id
    * @return array
    */
    public function get_all_term_ids_no_meta( $group_id = 0 )
    {

      global $wpdb;

      $term_ids = array();

      $group_id = (int) $group_id;

      $terms_matching_group = $wpdb->get_results( "SELECT term_id FROM {$wpdb->prefix}terms WHERE term_group = {$group_id}", ARRAY_A );

      foreach ( $terms_matching_group as $term_matching_group ) {

        $term_ids[] = (int) $term_matching_group['term_id'];

      }

      return array_values( $term_ids );

    }

  }

}
